image: debian:stretch

build:
  script:
  - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list
  - apt-get install pandoc python3-pip
  - pip3 install MarkdownPP
  - mkdir public
  - markdown-pp index.mdpp -o public/Satzung.mkd
  - pandoc public/Satzung.mkd -f markdown -t html -s -o public/Satzung.html
  artifacts:
    paths:
    - public